Home Information Classes Download Usage Mail List Requirements Links Tutorial

# BandedWG Class Reference

Banded waveguide modeling class. More...

`#include <BandedWG.h>`

Inheritance diagram for BandedWG:

List of all members.

## Public Member Functions

| BandedWG ()
| Class constructor.
| ~BandedWG ()
| Class destructor.
void | clear ()
| Reset and clear all internal state.
void | setStrikePosition (MY_FLOAT position)
| Set strike position (0.0 - 1.0).
void | setPreset (int preset)
| Select a preset.
void | setFrequency (MY_FLOAT frequency)
| Set instrument parameters for a particular frequency.
void | startBowing (MY_FLOAT amplitude, MY_FLOAT rate)
| Apply bow velocity/pressure to instrument with given amplitude and rate of increase.
void | stopBowing (MY_FLOAT rate)
| Decrease bow velocity/breath pressure with given rate of decrease.
void | pluck (MY_FLOAT amp)
| Pluck the instrument with given amplitude.
void | noteOn (MY_FLOAT frequency, MY_FLOAT amplitude)
| Start a note with the given frequency and amplitude.
void | noteOff (MY_FLOAT amplitude)
| Stop a note with the given amplitude (speed of decay).
MY_FLOAT | tick ()
| Compute one output sample.
void | controlChange (int number, MY_FLOAT value)
| Perform the control change specified by number and value (0.0 - 128.0).

## Detailed Description

Banded waveguide modeling class.

This class uses banded waveguide techniques to model a variety of sounds, including bowed bars, glasses, and bowls. For more information, see Essl, G. and Cook, P. "Banded Waveguides: Towards Physical Modelling of Bar Percussion Instruments", Proceedings of the 1999 International Computer Music Conference.

Control Change Numbers:

- Bow Pressure = 2
- Bow Motion = 4
- Strike Position = 8 (not implemented)
- Vibrato Frequency = 11
- Gain = 1
- Bow Velocity = 128
- Set Striking = 64
- Instrument Presets = 16
  - Uniform Bar = 0
  - Tuned Bar = 1
  - Glass Harmonica = 2
  - Tibetan Bowl = 3

by Georg Essl, 1999 - 2002. Modified for Stk 4.0 by Gary Scavone.

Definition at line 43 of file BandedWG.h.

The documentation for this class was generated from the following file:

- BandedWG.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.